> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Schedules

> Return all schedules visible to the current user.



## OpenAPI

````yaml /api-reference/openapi.json get /api/schedules
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/schedules:
    get:
      tags:
        - schedules
      summary: List All Schedules
      description: Return all schedules visible to the current user.
      operationId: list_all_schedules_api_schedules_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ScanScheduleListItem'
                title: Response List All Schedules Api Schedules Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    ScanScheduleListItem:
      properties:
        uuid:
          type: string
          title: Uuid
        dataset_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Dataset Id
        project_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Project Id
        enabled:
          type: boolean
          title: Enabled
        scan_types:
          items:
            type: string
          type: array
          title: Scan Types
        frequency:
          type: string
          title: Frequency
        day_of_week:
          anyOf:
            - type: integer
            - type: 'null'
          title: Day Of Week
        time_of_day:
          type: string
          title: Time Of Day
        last_run_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Run At
        next_run_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Run At
        last_run_status:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Run Status
        run_count:
          type: integer
          title: Run Count
          default: 0
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
        dataset_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Name
        dataset_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Dataset Uuid
        project_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Name
        project_uuid:
          anyOf:
            - type: string
            - type: 'null'
          title: Project Uuid
      type: object
      required:
        - uuid
        - enabled
        - scan_types
        - frequency
        - time_of_day
      title: ScanScheduleListItem
      description: Extended schedule info for the global dashboard.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````